Subject: Re: bug#68801: 30.0.50; minibuffer-visible-completions=t makes RET in completion-in-region a no-op with nothing selected

From: Juri Linkov <[email-masked]>
Date: Tue, 30 Jan 2024 19:28:33 +0200

> Since there are a few alternatives, perhaps we could have a defcustom
> for the RET behavior in completion-in-region.  I think the default
> should be closing *Completions* and inserting a newline, since that
> matches minibuffer-visible-completions=nil.
>
> If this sounds reasonable I can write a patch implementing these.

Sorry, I have no opinion - this is such a gray area, I never tried
to type RET with an unselected completion candidate.

But at least the current behavior makes sense since it's like
in Isearch mode where RET just exits Isearch, whereas some other
keys exit Isearch and do their usual job.